Subject: Re: bug#28326: exiv2 0.26 hash mismatch

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 10 Sep 2017 22:47:24 -0400

[email-masked] (Ludovic Courtès) writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Maxim Cournoyer <[email-masked]> skribis:
>>>
>>>> sha256 hash mismatch for output path `/gnu/store/jcapi6vk4a14hch5jgsh5zps958g91sb-exiv2-0.26-trunk.tar.gz'
>>>>   expected: 1hsdzlzgkipprqh93yj81mrckl2l7c2mn2i84691pallnjz5qqhc
>>>>   actual:   1yza317qxd8yshvqnay164imm0ks7cvij8y8j86p1gqi1153qpn7
>>>>
>>>> Looking at what happened at the source obtained through the Wayback
>>>> Machine at the time it was last updated in Guix[1] compared to now[2], we see
>>>> that:
>>>
>>> For the record, as an alternative to the Wayback Machine, you can use:
>>>
>>>   wget https://mirror.hydra.gnu.org/file/exiv2-0.26-trunk.tar.gz/sha256/1hsdzlzgkipprqh93yj81mrckl2l7c2mn2i84691pallnjz5qqhc
>>
>> Thanks for the tip! I actually tried to find a way to download that file
>> from Hydra for the investigation but couldn't figure it out (by using
>> the Hydra web front-end).
>
> This URL is implemented by ‘guix publish’:
>
>   https://www.gnu.org/software/guix/manual/html_node/Invoking-guix-publish.html
>
> Not very discoverable I admit!
>
> Ludo’.

I just (re)read it. Neat! Thanks for the pointer.

Maxim